

clear
set more off
version 14.2
set seed 12345
set scheme s2color

capture cd "$GoogleDriveLaptop"
capture cd "$GoogleDriveWork"
cd ".\Talks\2017\ASA_CPS\PowerSampleSize\examples"

power myztest, n(20) stddiff(1)

power myztest, n(10 20) stddiff(0.8(0.1)1) 

power myztest, n(10 20) stddiff(0.1(0.1)1) graph(xdimension(stddiff))
graph export ./graphs/myztest.png, as(png) width($Width16x9) height($Height16x9) replace







// SAVED TO power_cmd_myztest.ado
// ============================================================
program power_cmd_myztest, rclass
	version 14
	/* parse options */
	syntax , n(integer) /// sample size
		STDDiff(real) 	/// standardized difference
		[ Alpha(string) /// significance level
		ONESIDed ]		/// one-sided test
						
	/* compute power */					
	tempname power za
	if ("`onesided'"=="") scalar `za' = invnormal(1-`alpha'/2)
	else scalar `za' = invnormal(1-`alpha')
	scalar `power' = normal(`stddiff'*sqrt(`n')-`za')
	
	/* return results */
	return scalar N = `n'
	return scalar power = `power'
	return scalar alpha = `alpha'
	return scalar stddiff = `stddiff'
	return scalar onesided = ("`onesided'"!="")
end



// SAVED TO power_cmd_myztest_init.ado
// ============================================================
program power_cmd_myztest_init, sclass
	sreturn local pss_colnames "stddiff"
	sreturn local pss_numopts "STDDiff"
end

